Skip to content
Splashify Pro
Email docsEmail

List production access requests

Returns your full history of production-access submissions newest-first.

GET

/api/v1/partner/email/production-access

Response

json
{
  "success": true,
  "requests": [
    {
      "request_id": "req_550e8400-...",
      "use_case": "...",
      "email_volume_estimate": "5000 per day",
      "has_unsubscribe_method": true,
      "has_consent_proof": true,
      "domain_verified": true,
      "status": "APPROVED",
      "admin_notes": "Verified domain + clean use case. Approved for production.",
      "created_at": "2026-05-03T12:00:00Z",
      "reviewed_at": "2026-05-03T13:30:00Z"
    }
  ],
  "count": 1
}

Status values

cURL

bash
curl https://api.splashifypro.com/api/v1/partner/email/production-access \
  -H "Authorization: Bearer $SPLASHIFY_API_KEY"